package pegasusepsilon.hardmodenavigation.client;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.world.World;
import net.minecraftforge.event.entity.player.PlayerInteractEvent;

public class HandledItem extends Item {
	public HandledItem (int id) { super(id); }

	private enum handledItems {
		itemProtractor,
		itemPlumbBob,
		itemTelescope,
		itemSextant,
		itemNavCompass,
		itemNavClock
	}

	@Override
	public ItemStack onItemRightClick (ItemStack what, World where, EntityPlayer who) {
		if (!where.isRemote) { return what; }
		who.setItemInUse(what, 72000);

		String internalName = what.getUnlocalizedName().replace("item.", "");
		switch (handledItems.valueOf(internalName)) {
			case itemTelescope:
				System.out.println("[onItemRightClick] handled: " + internalName);
				break;
			default:
				System.out.println("[onItemRightClick] unhandled: " + internalName);
				break;
		}

		return what;
	}

	public void onPlayerStoppedUsing (ItemStack what, World where, EntityPlayer who, int arg) {
		String internalName = what.getUnlocalizedName().replace("item.", "");
		switch (handledItems.valueOf(internalName)) {
			case itemTelescope:
				System.out.println("[onPlayerStoppedUsing] handled: " + internalName);
				break;
			default:
				System.out.println("[onPlayerStoppedUsing] unhandled: " + internalName);
				break;
		}
	}
}
